Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.widget.graph
Class RelationProperties

    java.lang.Object
      edu.stanford.smi.protegex.widget.graph.GraphProperties
          edu.stanford.smi.protegex.widget.graph.GraphObjectProperties
              edu.stanford.smi.protegex.widget.graph.RelationProperties

    public class RelationProperties

extends GraphObjectProperties

Constructor Summary
`RelationProperties(String clsName, PropertyList propertyList)`

Method Summary
`String` | `getArrowheadType()`
`Color` | `getLineColor()`
`String` | `getLineType()`
`boolean` | `isTextDisplayed()`
`void` | `save()`
`void` | `setArrowheadType(String arrowheadType)`
`void` | `setDisplayText(boolean displayText)`
`void` | `setLineColor(Color lineColor)`
`void` | `setLineType(String lineType)`

Methods inherited from class edu.stanford.smi.protegex.widget.graph.GraphProperties
`getBooleanProperty, getClsName, getIntProperty, getPrefix, getPropertyList, getStringProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RelationProperties

    public RelationProperties(String clsName,
                              PropertyList propertyList)

Method Detail

### save

    public void save()

  Specified by:
    `save` in class `GraphProperties`

### getLineType

    public String getLineType()

  Specified by:
    `getLineType` in class `GraphObjectProperties`

### setLineType

    public void setLineType(String lineType)

### getArrowheadType

    public String getArrowheadType()

  Specified by:
    `getArrowheadType` in class `GraphObjectProperties`

### setArrowheadType

    public void setArrowheadType(String arrowheadType)

### getLineColor

    public Color getLineColor()

### setLineColor

    public void setLineColor(Color lineColor)

### isTextDisplayed

    public boolean isTextDisplayed()

### setDisplayText

    public void setDisplayText(boolean displayText)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request